// Licensed to the Apache Software Foundation (ASF) under one or more
// Licensed to the Apache Software Foundation (ASF) under one or more
// contributor license agreements.  See the NOTICE file distributed with
// this work for additional information regarding copyright ownership.
// The ASF licenses this file to you under the Apache License,
// Version 2.0 (the "License"); you may not use this file except in
// compliance with the License.  You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

import 'package:flutter/widgets.dart';

class AccordionController extends ChangeNotifier {
  AccordionController();

  AccordionController._withIndex(this._index);

  bool _debugDisposed = false;
  void dispose() {
    assert(() {
      _debugDisposed = true;
      return true;
    }());
    super.dispose();
  }

  int _index = -1;
  int get selectedIndex => _index;
  set selectedIndex(int value) {
    assert(value >= 0);
    _index = value;
    notifyListeners();
  }
}

class Accordion extends StatelessWidget {
  const Accordion({
    Key? key,
    this.controller,
    this.children = const <WidgetBuilder>[],
  }) : super(key: key);

  final AccordionController? controller;
  final List<WidgetBuilder> children;

  @override
  Widget build(BuildContext context) {
    // TODO: implement build
    throw UnimplementedError();
  }
}
